## ligolo-mp 2.0.1

=== Makefile ===
GO_VER := 1.20
BLOAT_FILES := AUTHORS CONTRIBUTORS PATENTS VERSION favicon.ico robots.txt SECURITY.md CONTRIBUTING.md LICENSE README.md ./doc ./test ./api ./misc
GARBLE_VER := 0.10.1

GO ?= go

ARCH := $(shell uname -m)

ifeq ($(ARCH),aarch64)
    ARCH := arm64
else ifneq (,$(findstring armv5,$(ARCH)))
    ARCH := armv5
else ifneq (,$(findstring armv6,$(ARCH)))
    ARCH := armv6
else ifneq (,$(findstring armv7,$(ARCH)))
    ARCH := arm
else ifeq ($(ARCH),x86_64)
    ARCH := amd64
else ifeq ($(ARCH),x86)
    ARCH := 386
else ifeq ($(ARCH),i686)
    ARCH := 386
else ifeq ($(ARCH),i386)
    ARCH := 386
endif

TARGET_ARCH ?= $(ARCH)
TARGET_OS ?= linux

.PHONY: build
build: assets binaries

.PHONY: assets
assets: go agent

.PHONY: binaries
binaries: server client

.PHONY: go
go:
	# Build go
	cd artifacts && curl -L --output go$(GO_VER).$(TARGET_OS)-$(TARGET_ARCH).tar.gz https://dl.google.com/go/go$(GO_VER).$(TARGET_OS)-$(TARGET_ARCH).tar.gz
	cd artifacts && tar xvf go$(GO_VER).$(TARGET_OS)-$(TARGET_ARCH).tar.gz
	cd artifacts/go && rm -rf $(BLOAT_FILES)
	rm -f artifacts/go/pkg/tool/$(TARGET_OS)_$(TARGET_ARCH)/doc
	rm -f artifacts/go/pkg/tool/$(TARGET_OS)_$(TARGET_ARCH)/tour
	rm -f artifacts/go/pkg/tool/$(TARGET_OS)_$(TARGET_ARCH)/test2json
	# Build garble
	cd artifacts/go/bin && curl -L --output garble https://github.com/ttpreport/garble/releases/download/v$(GARBLE_VER)/garble_$(TARGET_OS)_$(TARGET_ARCH) && chmod +x garble
	# Bundle
	cd artifacts && zip -r go.zip ./go
	# Clean up
	cd artifacts && rm -rf go go$(GO_VER).$(TARGET_OS)-$(TARGET_ARCH).tar.gz

.PHONY: agent
agent:
	cd artifacts/agent && go mod tidy
	cd artifacts/agent && go mod vendor
	cd artifacts/agent && zip -r ../agent.zip .

.PHONY: server
server:
	GOOS=$(TARGET_OS) GOARCH=$(TARGET_ARCH) CGO_ENABLED=0 $(GO) build -mod=vendor -trimpath -o ligolo-mp ./cmd/server/

.PHONY: client
client:
	GOOS=$(TARGET_OS) GOARCH=$(TARGET_ARCH) CGO_ENABLED=0 $(GO) build -mod=vendor -trimpath -o ligolo-mp-client ./cmd/client/

.PHONY: protobuf
protobuf:
	protoc --go_out=. --go_opt=paths=source_relative --go-grpc_out=. --go-grpc_opt=paths=source_relative protobuf/ligolo.proto

.PHONY: clean
clean:
	rm -rf artifacts/agent.zip artifacts/go.zip

.PHONY: install
install:
	./install_server.sh

.PHONY: service
service:
	./install_service.sh

=== debian/changelog ===
ligolo-mp (2.0.1-0kali2) kali-dev; urgency=medium

  * Restrict build to 64 bit

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 25 Jul 2025 15:37:38 +0200

ligolo-mp (2.0.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegria <daniruiz@kali.org>  Mon, 30 Jun 2025 16:22:40 +0200

## ligolo-mp 2.1.0

=== Makefile ===
--- 
+++ 
@@ -39,18 +39,18 @@
 .PHONY: go
 go:
 	# Build go
-	cd artifacts && curl -L --output go$(GO_VER).$(TARGET_OS)-$(TARGET_ARCH).tar.gz https://dl.google.com/go/go$(GO_VER).$(TARGET_OS)-$(TARGET_ARCH).tar.gz
-	cd artifacts && tar xvf go$(GO_VER).$(TARGET_OS)-$(TARGET_ARCH).tar.gz
-	cd artifacts/go && rm -rf $(BLOAT_FILES)
-	rm -f artifacts/go/pkg/tool/$(TARGET_OS)_$(TARGET_ARCH)/doc
-	rm -f artifacts/go/pkg/tool/$(TARGET_OS)_$(TARGET_ARCH)/tour
-	rm -f artifacts/go/pkg/tool/$(TARGET_OS)_$(TARGET_ARCH)/test2json
+	cd artifacts && curl -L --output go/$(TARGET_OS)/$(TARGET_ARCH)/go.tar.gz https://dl.google.com/go/go$(GO_VER).$(TARGET_OS)-$(TARGET_ARCH).tar.gz
+	cd artifacts/go/$(TARGET_OS)/$(TARGET_ARCH) && tar xvf go.tar.gz
+	cd artifacts/go/$(TARGET_OS)/$(TARGET_ARCH) && rm -rf $(BLOAT_FILES)
+	rm -f artifacts/go/$(TARGET_OS)/$(TARGET_ARCH)/go/pkg/tool/$(TARGET_OS)_$(TARGET_ARCH)/doc
+	rm -f artifacts/go/$(TARGET_OS)/$(TARGET_ARCH)/go/pkg/tool/$(TARGET_OS)_$(TARGET_ARCH)/tour
+	rm -f artifacts/go/$(TARGET_OS)/$(TARGET_ARCH)/go/pkg/tool/$(TARGET_OS)_$(TARGET_ARCH)/test2json
 	# Build garble
-	cd artifacts/go/bin && curl -L --output garble https://github.com/ttpreport/garble/releases/download/v$(GARBLE_VER)/garble_$(TARGET_OS)_$(TARGET_ARCH) && chmod +x garble
+	cd artifacts/go/$(TARGET_OS)/$(TARGET_ARCH)/go/bin && curl -L --output garble https://github.com/ttpreport/garble/releases/download/v$(GARBLE_VER)/garble_$(TARGET_OS)_$(TARGET_ARCH) && chmod +x garble
 	# Bundle
-	cd artifacts && zip -r go.zip ./go
+	cd artifacts/go/$(TARGET_OS)/$(TARGET_ARCH) && zip -r go.zip ./go
 	# Clean up
-	cd artifacts && rm -rf go go$(GO_VER).$(TARGET_OS)-$(TARGET_ARCH).tar.gz
+	cd artifacts/go/$(TARGET_OS)/$(TARGET_ARCH) && rm -rf go go.tar.gz
 
 .PHONY: agent
 agent:
@@ -72,7 +72,7 @@
 
 .PHONY: clean
 clean:
-	rm -rf artifacts/agent.zip artifacts/go.zip
+	rm -rf artifacts/agent.zip artifacts/go/*/*/*
 
 .PHONY: install
 install:

=== vendor/modernc.org/memory/Makefile ===
# Copyright 2017 The Memory Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY:	all clean cover cpu editor internalError later mem nuke todo edit build_all_targets

grep=--include=*.go --include=*.l --include=*.y --include=*.yy
ngrep='TODOOK\|parser\.go\|scanner\.go\|.*_string\.go'

all: editor
	go vet 2>&1 | grep -v $(ngrep) || true
	golint 2>&1 | grep -v $(ngrep) || true
	make todo
	misspell *.go
	maligned || true
	unconvert -apply
	staticcheck | grep -v 'lexer\.go' || true
	grep -n 'FAIL\|PASS' log
	date

clean:
	go clean
	rm -f *~ *.test *.out

cover:
	t=$(shell tempfile) ; go test -coverprofile $$t && go tool cover -html $$t && unlink $$t

cpu: clean
	go test -run @ -bench . -cpuprofile cpu.out
	go tool pprof -lines *.test cpu.out

edit:
	@ 1>/dev/null 2>/dev/null gvim -p Makefile go.mod builder.json *.go &

editor:
	gofmt -l -s -w *.go

build_all_targets:
	GOOS=darwin GOARCH=amd64 go build
	GOOS=darwin GOARCH=arm64 go build
	GOOS=freebsd GOARCH=386 go build
	GOOS=freebsd GOARCH=amd64 go build
	GOOS=freebsd GOARCH=arm go build
	GOOS=freebsd GOARCH=arm64 go build
	GOOS=illumos GOARCH=amd64 go build
	GOOS=linux GOARCH=386 go build
	GOOS=linux GOARCH=amd64 go build
	GOOS=linux GOARCH=arm go build
	GOOS=linux GOARCH=arm64 go build
	GOOS=linux GOARCH=loong64 go build
	GOOS=linux GOARCH=mips go build
	GOOS=linux GOARCH=mips64le go build
	GOOS=linux GOARCH=mipsle go build
	GOOS=linux GOARCH=riscv64 go build
	GOOS=linux GOARCH=s390x go build
	GOOS=netbsd GOARCH=386 go build
	GOOS=netbsd GOARCH=amd64 go build
	GOOS=netbsd GOARCH=arm go build
	GOOS=openbsd GOARCH=386 go build
	GOOS=openbsd GOARCH=amd64 go build
	GOOS=openbsd GOARCH=arm64 go build
	GOOS=windows GOARCH=386 go build
	GOOS=windows GOARCH=amd64 go build

internalError:
	egrep -ho '"internal error.*"' *.go | sort | cat -n

later:
	@grep -n $(grep) LATER * || true
	@grep -n $(grep) MAYBE * || true

mem: clean
	go test -run @ -bench . -memprofile mem.out -memprofilerate 1 -timeout 24h
	go tool pprof -lines -web -alloc_space *.test mem.out

nuke: clean
	go clean -i

todo:
	@grep -nr $(grep) ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* * | grep -v $(ngrep) || true
	@grep -nr $(grep) TODO * | grep -v $(ngrep) || true
	@grep -nr $(grep) BUG * | grep -v $(ngrep) || true
	@grep -nr $(grep) [^[:alpha:]]println * | grep -v $(ngrep) || true

=== vendor/modernc.org/sqlite/Makefile ===
# Copyright 2024 The Sqlite Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY:	all build_all_targets clean edit editor test vendor work

all: editor
	golint 2>&1
	staticcheck 2>&1

build_all_targets:
	GOOS=darwin GOARCH=amd64 go test -c -o /dev/null
	GOOS=darwin GOARCH=amd64 go build -v ./...
	GOOS=darwin GOARCH=arm64 go test -c -o /dev/null
	GOOS=darwin GOARCH=arm64 go build -v ./...
	GOOS=freebsd GOARCH=amd64 go test -c -o /dev/null
	GOOS=freebsd GOARCH=amd64 go build -v ./...
	GOOS=freebsd GOARCH=386 go test -c -o /dev/null
	GOOS=freebsd GOARCH=386 go build -v ./...
	GOOS=freebsd GOARCH=arm go test -c -o /dev/null
	GOOS=freebsd GOARCH=arm go build -v ./...
	GOOS=freebsd GOARCH=arm64 go test -c -o /dev/null
	GOOS=freebsd GOARCH=arm64 go build -v ./...
	GOOS=linux GOARCH=386 go test -c -o /dev/null
	GOOS=linux GOARCH=386 go build -v ./...
	GOOS=linux GOARCH=amd64 go test -c -o /dev/null
	GOOS=linux GOARCH=amd64 go build -v ./...
	GOOS=linux GOARCH=arm go test -c -o /dev/null
	GOOS=linux GOARCH=arm go build -v ./...
	GOOS=linux GOARCH=arm64 go test -c -o /dev/null
	GOOS=linux GOARCH=arm64 go build -v ./...
	GOOS=linux GOARCH=loong64 go test -c -o /dev/null
	GOOS=linux GOARCH=loong64 go build -v ./...
	GOOS=linux GOARCH=ppc64le go test -c -o /dev/null
	GOOS=linux GOARCH=ppc64le go build -v ./...
	GOOS=linux GOARCH=riscv64 go test -c -o /dev/null
	GOOS=linux GOARCH=riscv64 go build -v ./...
	GOOS=linux GOARCH=s390x go test -c -o /dev/null
	GOOS=linux GOARCH=s390x go build -v ./...
	# GOOS=netbsd GOARCH=amd64 go test -c -o /dev/null
	# GOOS=netbsd GOARCH=amd64 go build -v ./...
	GOOS=openbsd GOARCH=amd64 go test -c -o /dev/null
	GOOS=openbsd GOARCH=amd64 go build -v ./...
	GOOS=openbsd GOARCH=arm64 go test -c -o /dev/null
	GOOS=openbsd GOARCH=arm64 go build -v ./...
	GOOS=windows GOARCH=386 go test -c -o /dev/null
	GOOS=windows GOARCH=386 go build -v ./...
	GOOS=windows GOARCH=amd64 go test -c -o /dev/null
	GOOS=windows GOARCH=amd64 go build -v ./...
	GOOS=windows GOARCH=arm64 go test -c -o /dev/null
	GOOS=windows GOARCH=arm64 go build -v ./...
	echo done

clean:
	rm -f log-* cpu.test mem.test *.out go.work*
	go clean

edit:
	@if [ -f "Session.vim" ]; then gvim -S & else gvim -p Makefile go.mod builder.json all_test.go vendor_libsqlite3.go & fi

editor:
	gofmt -l -s -w .
	go test -c -o /dev/null
	go build -v  -o /dev/null ./...
	go build -o /dev/null vendor_libsqlite3.go

test:
	go test -v -timeout 24h
	
vendor:
	cd vendor_libsqlite3 && go build -o ../vendor main.go
	./vendor
	rm -f vendor
	make build_all_targets
	make build_all_targets

work:
	rm -f go.work*
	go work init
	go work use .
	go work use ../cc/v4
	go work use ../ccgo/v3
	go work use ../ccgo/v4
	go work use ../libc
	go work use ../libtcl8.6
	go work use ../libsqlite3
	go work use ../libz

=== debian/changelog ===
ligolo-mp (2.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.1.0

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 25 Aug 2025 10:33:11 +0200

=== debian/control ===
Source: ligolo-mp
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 curl,
 debhelper-compat (= 13),
 golang-go,
 zip,
Standards-Version: 4.7.2
Homepage: https://github.com/ttpreport/ligolo-mp
Vcs-Browser: https://gitlab.com/kalilinux/packages/ligolo-mp
Vcs-Git: https://gitlab.com/kalilinux/packages/ligolo-mp.git

Package: ligolo-mp
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Multiplayer pivoting solution
 Ligolo-MP is an advanced version of Ligolo-ng, with client-server
 architecture, enabling pentesters to play with multiple concurrent tunnels
 collaboratively. It manages all your TUNs automatically, while also providing
 a clean GUI to track everything.

=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE=$(CURDIR)/build
export GOPATH=$(CURDIR)/build

%:
	dh $@

override_dh_auto_build:
	make build

override_dh_auto_install:

override_dh_dwz:

=== debian/tests/control ===
Test-Command: ligolo-mp --help && ligolo-mp-client --help
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
https://github.com/ttpreport/ligolo-mp/tags .*/v?(\d.*)@ARCHIVE_EXT@
